* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    text-decoration: none; 
}

.courgette-regular {
  font-family: "Courgette", cursive;
  font-weight: 400;
  font-style: normal;
}


.figtree-regular {
  font-family: "Figtree", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.oswald-regular {
  font-family: "Oswald", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.lexend-regular {
  font-family: "Lexend", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.outfit-regular {
  font-family: "Outfit", sans-serif;
  font-weight: 400;
  font-style: normal;
}

html {
  overflow-x: hidden;
}

body {
    font-family: 'Lexend', sans-serif;
    background-color: rgb(0, 0, 0);
    background-image: linear-gradient(rgba(0, 0, 0, 0.906) 4%, rgba(0, 0, 0, 0.368) 15%,transparent 30%), url("images/confetti_transparent.PNG");
    background-position: center center, center center;
    color:black;
    overflow: hidden;
    background-size: contain, 40%;
}

.pageWrapper, #aboutPageWrapper, #menuPageWrapper, #merchPageWrapper {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 94vw;
    max-width: 1080px; 
    margin:0 auto;
    background-color: rgba(0, 0, 0, 0.928);
    box-shadow: -30px 0 20px rgba(0, 0, 0, 0.83), 30px 0 20px rgba(0, 0, 0, 0.83);
}

/* HEADER SECTION - ONLY CONTAINS NAV */
header {
    width: 100%;
    max-width: 1080px;
    height: 3rem;;
    background-color:black;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.334);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    margin: 0 auto;
}


.navbar {
    position: fixed;
    top: 0;
    width: 96%;
    max-width: 1080px;
    background-color: rgb(255, 255, 255);
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.334);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: .7rem 1rem;
    margin: 0 auto;
    z-index: 1000;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;  
}

/* .logoName {
    font-size: 1.8rem; 
    flex-shrink: 0;
} */

.logoName a {
    text-decoration: none;
    font-size: 1.8rem; 
    color: rgb(203, 8, 8);
    text-shadow: 0 2px 2px rgba(31, 31, 31, 0.887);
}

nav {
    display: flex;
    justify-content: flex-end;
    margin-left: .5rem;
}

nav ul {
    list-style: none;
    display: flex;
    gap: .9rem;
    padding: 0;
    margin: 0 auto;
    align-items: center;
    flex-wrap: wrap;
}

nav ul li a {
    font-family: "Lexend", san-serif;;
    font-size: 1rem;;
    /* letter-spacing: .01rem; */
    text-decoration: none;
    color: #0b0b0b;
    font-weight: 500;
    white-space: nowrap;
}

.heroShell, .heroShell2 {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 55vh;
    width: 100%;;
    max-width: 1080px;  ;
    overflow: hidden;
    margin:0 auto;
    padding:0;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.306);
}

/* INDEX HERO */
#hero {
    background-image: url("images/tmLogoStickerSM.png"), url("images/tmPuffyTacos1a-SMy.png"), url("images/cafeteriaLine-SMy.jpg");
    background-repeat: no-repeat, no-repeat, no-repeat;
    background-position: center center, left center, right center;
    background-size: 30%, contain, contain;
    background-color: rgb(58, 98, 29);
    width: 100%;
    max-width: 1080px;  ;
    height: 55vh;
    min-height: 300px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

/* ABOUT HERO */
#hero2 {
    background-image: url("images/tmLogoStickerSM.png"), url("images/checkoutServiceB-SMy.jpg"), url("images/checkoutServiceA-SMy.jpg");
    background-repeat: no-repeat, no-repeat, no-repeat;
    background-position: center center, left center, right center;
    background-size: 30%, contain, contain;
    background-color: rgb(149, 0, 0);
    width: 100%;
    max-width: 1080px;  ;
    height: 55vh;
    min-height: 300px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

/* MERCH HERO */
#hero3 {
    background-image: url("images/tmLogoStickerSM.png"), url("images/tmKoozies2a-SMy.png"), url("images/tmKoozies1a-SMy.png");
    background-repeat: no-repeat, no-repeat, no-repeat;
    background-position: center center, left center, right center;
    background-size: 30%, contain, contain;
    background-color:goldenrod;
    width: 100%;
    max-width: 1080px;  ;
    height: 55vh;
    min-height: 300px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
}

#langLink {
    /* justify-self: flex-start; */
    background-color:gold;
    border-radius: 15px;
    padding:.5rem;
    margin-top: 2rem;
    color: black;
    text-decoration: none;
}

#langLink:hover {
    background-color: rgb(58, 98, 29);
    color:white;
}

/* <main> FORMATTING - ALL PAGES*/
main {
    width: 100%;
    max-width: 1080px;  ;
    background-color: white;
    padding: 0 1rem;
    margin:0 auto;
}

#menuPageWrapper main {
    background-color: black;
    padding: 0;
}

#merchPageWrapper main {
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start; 
    padding: 0;
    background-color: black;
    color:white;
}

#merchPageWrapper main p {
    font-size: .9rem;;

}

section {
  padding: 1rem;
}

/* INDEX & ABOUT PAGE TEXT FORMATTING */
#intro, #policies, #legacy, #history, .community {
  margin:0 auto;
  padding: 1rem;
  background-color: white;
  /* border-radius: 25px;; */
}

#intro p, #policies p, #legacy p, #history p, .community p {
    font-family: 'Lexend', sans-serif;
    font-size: 1rem;  
}

.policyDetails {
    width:100% ;
    display:flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.policyText {
    width:70%;
}

.policyDetails img {
    width:225px ;
    height: 300px;
    border-radius: 30px 10px 30px 10px;;
}

#capirotada {
    padding: 0;
    width:100%;
    display: flex;
    justify-content: center;
    gap: 1rem;
    background-color: white;
    margin: 0 auto;
    padding: 0;
    border-radius: 0;
}

#capirotadaText {
        /* background-image: url("images/TMcapirotada-SMx.png");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat; */
    width: 100%;
        padding-left: 2rem;;
        /* padding-bottom: 1rem; */
        overflow: hidden;
}
#capirotadaText p {
    color:black;
    width: 100%;
    padding: 0 1rem;;
    font-size: .9rem;;
        font-family: 'Lexend', sans-serif;
}

#capirotada h2 {
    font-size: 1.5rem;
    color: rgb(148, 0, 0);
    text-shadow: 0 2px 2px rgba(0, 0, 0, 0.47);
    margin-top: 1rem;;
}

/* ***** PHOTO GALLERIES - INDEX & ABOUT ***** */
.gallery2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: .5rem;
  margin:1rem auto;
  /* display: flex;
  justify-content: space-between;
  align-items: center; */
/* width: 94vw; */
  gap: .5rem;
  margin: 1rem auto;
}
.gallery2 img{
  width: 100%;
  height: 200px;
  object-fit: cover;
  transition: transform 0.3s ease;
  transform-origin: center;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.683);
  border-radius: 30px 10px 30px 10px;;
}

.gallery2 img:hover {
  transform: scale(1.15);
  object-fit: cover;
  border-radius: 40px 10px;
}

/* #menu .gallery2 {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: .5rem;
    margin:0 auto;
} */


/* ***** ABOUT PAGE - SINGLE PHOTO ROW ***** */
.gallery3 {
  display:flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 1080px;
  height: 313px;
  margin: 0 auto;
  gap: 1rem;
}

.gallery3 #portrait {
  width: 100%;
  max-width: 200px;
height: 313px;
  /* object-fit: cover; */
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.683);
  border-radius: 30px 10px 30px 10px;;
}

.gallery3 #famPortrait {
  width: 100%;
  max-width: 400px;
height: 313px;
  /* object-fit: cover; */
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.683);
  border-radius: 30px 10px 30px 10px;;
}



/* #capirotada .gallery3 {
  display:flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: 0 auto;
  
} */

#capirotada img {
    width: 100%;
    margin: 0 auto;
    padding: 0;
    /* height: 100%; */
    object-fit: cover;
    object-position: right;
    align-items: center;
    border-radius: 0;
  box-shadow: none;
  overflow: hidden;
}



/* ********** MERCH PAGE - CARD GALLERY ********** */
.galleryMerch, .merchGallery{
  display:flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
  margin: 1rem auto;
  gap:.5rem;
}
.galleryMerch img{
  background-color: black;
  width: 80%;
  /* height: 200px; */
  object-fit: cover;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.683);
  border-radius: 30px 10px 0 0;
  border:3px solid goldenrod;
}

.galleryMerch p {
  width: 80%;
  /* height: 200px; */
  text-align: center;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.683);
  background-color: rgb(135, 0, 0);
  margin-top:-.5rem;
  border-radius: 0 0 30px 10px;
  border:3px solid goldenrod;
  border-top: none;
  padding:.4rem;
}


.merchCard {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 70%;
    margin: 0 auto;
    border-radius: 30px 10px 30px 10px;
    border:3px solid goldenrod;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.683);
}

.merchCard p {
    width: 100%;
    text-align: center;
    background-color: rgb(135, 0, 0);
    margin:0 auto;
    border-radius: 0 0 30px 10px;
    border-top:3px solid goldenrod;
    padding:1rem .5rem;
    font-size: 2rem;;
}

.cardImg {
    position: relative;
    overflow: hidden;
    background-color: black;
    width: 100%;
    height: 30vh;
    border-radius: 30px 10px 0 0;
    transition: transform 0.6s ease;
}

#coffeeCardImg {
    background-image: url("images/coffee-ante-samarzija-unsplash-SMx.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover; 
}

#coffeeCardImg:hover {
    background-image: url("images/tmLogoStickerSM.png"), url("images/coffee-karsten-winegeart-unsplash-SMx.png");
    background-repeat: no-repeat, no-repeat;
    background-position: center center, center center;
    background-size: 40%, cover;
}

#koozieCardImg {
    background-image: url("images/tmKoozies1a-SMx.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;    
}

#koozieCardImg:hover {
    background-image: url("images/tmLogoStickerSM.png"), url("images/tmKoozies2a-SMx.png");
    background-repeat: no-repeat, no-repeat;
    background-position: center center, center center;
    background-size: 40%, cover;
}

#tshirtCardImg {
    background-image: url("images/tmTshirt1a-SMx.png");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;    
}

#tshirtCardImg:hover {
    background-image: url("images/tmLogoStickerSM.png"), url("images/tshirts-pixellion--unsplash-SMx.png");
    background-repeat: no-repeat, no-repeat;
    background-position: center center, center center;
    background-size: 40%, cover;
}

#stickerCardImg {
    /* background-color: goldenrod; */
    height: 35%;
    padding:.8rem;
    text-align: center;
    object-fit: contain;
    background-color: cornsilk;
    background-image: url("images/confetti_transparent.PNG");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    margin: 0 auto;
}

#stickerCardImg:hover {
    background-color: black;
    background-image: none;
}


/* PLACEHOLDER for ANCHOR LINK */
#location {
    visibility: hidden;
    height: 1px;
}

/* ********** FLOATING CARD - INDEX (LOCATION SECTION) & MENU PAGE ********** */
.floatingCard {
    width: 94vw;
    max-width: 1080px;  ;
    padding: 0;
    margin:0 auto;
    border-radius: 25px;;
}

#mainFloatingCard {
    margin-left: -1rem;
}

.locationShell, #menuItems {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    background-color: rgb(255, 218, 125);
    margin:0 auto;
    /* margin-left:-20px; */
    padding:0;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.566);
}

#menuItems {
    /* padding-bottom: 1.5rem; */
    box-shadow: none;
    
}

/* FLOATING CARD TOP */
#locationTop, #menuTop {
    background-color: rgb(149, 0, 0);
    color:transparent;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    max-width: 1080px;
    z-index: 999;
    margin:0 auto;
    padding:1.5rem 0 1.5rem 0;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
}

#menuTop {
    margin-top: 1.5rem;
}

#floatingLogo {
    padding: 0;
    color:transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30vh;
    z-index: 998;
    margin-bottom:-15vh;
}

#floatingLogo2 {
    padding: 0;
    color:transparent;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 10vh;
    z-index: 995;
}

.details {
    margin: 1.5rem auto;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    /* height:60vh; */
    /* gap:2rem; */
    width: 100%;
    max-width: 1080px;;
}

/* ADDRESS & BUSINESS HOURS */
#location2, #locationImage, #hours-container {
    background-color: rgb(255, 255, 255);
    border-radius: 25px;
    text-align: center;
    color:#333;
    height:70vh;
    width: 42%;
    margin: 0 auto 1rem auto;;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.44);
    overflow: hidden;
}

#hours-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#location2 iframe {
    width:100%;
    height: 100%;
    padding:0;
    margin:0;
    border:0;
}

#outdoorImg {
    width: 100%;
}

#location2 h2, #hours-container h2, #contact h2, #intro h2, .community h2, #intro h2, #policies h2, #legacy h2, #history h2 {
    font-size: 1.5rem;
    color: rgb(183, 0, 0);
    text-shadow: 0 2px 2px rgba(0, 0, 0, 0.92);
    margin-top: 1rem;;
}

#locationTop h2, #menuTop h2 {
    width:30%;
    font-size: 2rem;
    color: white;
    text-shadow: 0 2px 2px rgba(0, 0, 0, 0.92);
    margin:0 auto;
    /* margin-top: -20vh; */
    padding: 0;
    text-align: center;
    line-height: 1.5rem;
}

.specialTag {
    color:black;
        margin:0 auto;
    font-size: 1.2rem;
    text-shadow: none;
    font-weight: 600;
    line-height: .2rem;
}

#location2 p {
    font-family: 'Lexend', sans-serif;
    padding-top: .5rem;
    font-size: 1rem;
    line-height: 1.1rem;;
}

#location2 .map-links {
    display: flex;
    flex-direction: column;
}

#location2 .map-links a {
    text-decoration: none;
    color: rgb(0, 134, 0);
    font-weight: 500;
    font-family: 'Lexend', sans-serif;
    font-size: .8rem;
    line-height: .9rem;
}


#hours-container ul {
    font-family: 'Lexend', sans-serif;
    list-style: none;
    padding-top: .5rem;
    font-size: 1rem;
    line-height: 1.1rem;;
}

#business-status {
    font-weight: bold;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem; 
    font-size: 1.3rem;
    text-align: center;
}

.open {
    color: rgb(0, 150, 0);
}

.open2 {
    color: rgb(0, 0, 0);
    font-family: "Courgette", cursive;
    font-weight: 400;
    font-style: normal;
}

.closed {
    color: rgb(183, 0, 0);
}

.closed2 {
    color: rgb(0, 0, 0);
    font-family: "Courgette", cursive;
    font-weight: 400;
    font-style: normal;
}
/* END OF FLOATING CARD FORMATTING */


/* ***** CONTACT SECTION ***** */
#contactWrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-image: url("images/houseDrawing1a-1080x.png");
    background-position: top center;
    width: 94vw;
    min-height: 75vh;
    height:auto;
    max-width: 1080px;
    object-position: top;
    /* border-radius: 25px; */
    transition: transform 0.3s ease;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.436);
    padding: 0;
    margin: 0 auto;
    margin-left: -1rem;
}

#contactWrapper img {
  width: 30%;
  /* height: 300px; */
  margin:0 1rem;
}

#contact {
    /* border-radius: 25px; */
    background-color: rgba(0, 0, 0, 0.648);
    width:100%;
    min-height: 75vh;
    height:auto;
    text-align: left;
    margin:0 auto;
    padding: .5rem 1rem;
}

#contact p {
    font-family: 'Lexend', sans-serif;
    margin:.5rem auto;
    padding-left: 1rem;
    font-size: .8rem;
    /* line-height: 1.3rem; */
    color: white;
}

#contact .notice{
    font-size: 1.2rem;
    font-weight: bold;
    color: rgb(255, 191, 0);
    text-shadow: 2px 2px 4px black;
}

#contact .notice span {
    text-decoration: underline;
}

#contact p a {
    text-decoration: none;
    color: rgb(255, 191, 0);
}

#contact h2 {
    margin-top: .5rem;;
}

/* CONTACT FORM */
.greenText {
    color: rgb(0, 204, 0);
}

.redText {
    color:red;
}

.yellowText{
    color:rgb(207, 141, 54);
    text-decoration: underline;
}

.formContainer{
    width: 100%;
    /* max-width: 500px; */
    margin: 0 auto;
    color:white;
    font-size: 1rem;
    text-shadow: 2px 2px 3px black;
    display: flex;
    flex-direction:column;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-family: 'Lexend', sans-serif;
}

.contactForm {
    /* width: 100%; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin:0 auto;
    gap: .5rem;;
    font-size: .8rem;
    border-radius: 10px;
}

input::placeholder , textarea::placeholder{
    color:rgba(40, 40, 40, 0.707);
    font-size: .8rem;
    font-weight: 400;
}

.emailSuccess{
    color:white;
    font-family: 'Lexend', sans-serif;
}

.contactForm input, textarea {
    width: 45vw;
    max-width: 500px;
    padding:5px 10px 0 10px;
    color:rgb(30, 30, 30);
    font-family: 'Lexend', sans-serif;
    font-weight: 400;
    border-radius: 8px;
    border: none;
    background:rgba(255, 255, 255, 0.85);
    margin-bottom: 0;
}

.contactForm label{
    /* background-color: var(--background); */
    color:rgb(255, 255, 255);
    text-align: start;
    text-shadow: none;
    margin:0;
    padding:0;
    font-weight: 400;
    font-family: 'Lexend', sans-serif;
    line-height: 0.6rem;
    /* font-weight: bold; */
    /* border: 1px solid green; */
}

.contactForm textarea {
    min-height:120px;
    margin-bottom: 0;
}

#submitBtn {
    margin: 0 auto;
    margin-bottom: 10px;
    margin-top:-.5rem;
    padding:.3rem;
    color:black;
    background-color: rgb(255, 191, 0);
    border: none;
    border-radius: 10px;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
    text-decoration: none;
    font-family: 'Lexend', sans-serif;
    font-size:.8rem;
    display: flex;
    justify-content: center;
}

#submitBtn:hover {
    background-color: rgb(255, 191, 0);
    color:black;
    font-weight: bold;
    /* border: 2px solid rgb(41, 41, 41); */
}
/* end of CONTACT FORM */


/* ********** MENU PAGE ********** */
#menu {
    margin:0 auto;
    margin-top: 1.5rem;
    width: 100%;
    /* max-width: 1080px;  ; */
    /* border:2px solid orange; */

}

#menu .menuCategory {
    margin:0 auto;
    margin-top: 1rem;
    display: flex;
    justify-content: space-evenly;
    align-items: flex-start;
    gap:1rem;
    width: 100%;
}

#menu ul{
    margin:0 auto;
    list-style: none;
    width:60%;
}

#menu ul li {
    font-family: "Lexend", sans-serif;
    font-size: 1rem;
    padding: 0 0 0 1rem;
    line-height: 1.2rem;
    /* letter-spacing: .01rem; */
    text-decoration: none;
}

.menuItemDescription {
    color: rgb(0, 10, 205);
    font-style: italic;
    font-size: .9rem;;
    font-weight: 400;
    margin:0;
    padding: 0;
}

#menu .menuNotes {
    font-family: "Lexend", sans-serif;
    color: black;
    background-color: white;
    font-weight: bold;
    font-size: .9rem;
    border:2px solid black;
}

#menu .lineHeader {
    font-family: "Courgette", sans-serif;
    padding:0;
    padding-bottom: .4rem;
    font-size: 1.7rem;
    color: rgb(181, 0, 0);
    text-shadow: 2px 2px rgb(0, 0, 0);
    text-shadow: -1px -1px rgb(0, 0, 0);    
}

#menuNotes2 {
    font-family: "Lexend", sans-serif;
    /* color: black; */
    font-weight: 400;
    font-size: 1rem;
    color: white;
    text-align: center;
    padding: .5rem 0;
    text-decoration: none;
    list-style: none;
}
/* ********** MENU GALLERIES ********** */
.menuGallery {
    width:30%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    padding: 0;
    /* padding-right:1rem; */
    margin:0 auto;
    gap: 1rem;
}

.menuGallery img {
    aspect-ratio: 3/2;
    /* width:100%;
    height:200px; */
    max-height:190px;
    /* border-radius: 25px; */
    transition: transform 0.3s ease;
    border-radius: 30px 10px 30px 10px;;
}

#soupGallery {
    margin:0 auto;
    margin-bottom: 1rem;;
}

/* #soupGallery img {
    margin:0 auto;
    aspect-ratio:3/2;
    max-height:190px;
    transition: transform 0.3s ease;
    transform-origin: center;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.683);
    border-radius: 30px 10px 30px 10px;;
} */

.menuGallery img:hover, #soupGallery img:hover {
    transform: scale(1.15);
    object-fit: cover;
    border-radius: 30px 10px 30px 10px;;
}

#menu li span {
    padding-left: 1rem;
}


#menu #menuBlack {
    background-color: rgb(20, 20, 20);
    width: 100%;
    margin:0 auto;
    padding: 1rem;
}

#menu #menuBlack .menuGallery {
    /* background-color: black; */
    width: 30%;
    margin: 0 auto;
    padding: 0;
}

#menu #menuBlack .menuGallery img{
    /* background-color: black; */
    aspect-ratio:3/2;
    max-width: 100%;
    height: auto;
    margin: 0 auto;
    padding: 0;
}

#menu #menuBlack ul {
    margin: 0 auto;
    width: 40%;
    padding:0;
    padding-right: 1rem;
align-self: center;
justify-self: center;
}

#menu #menuBlack ul li {
color: white;
    width: 100%;
    padding: 0 0 0 1rem;
    font-size: .9rem;
}

#menu #menuBlack .lineHeader {
    font-family: "Courgette", sans-serif;
    /* padding-left:1rem; */
    margin-left:0;
    font-size: 1.7rem;
    color: rgb(149, 0, 0);
    text-shadow: 2px 2px rgb(0, 0, 0);
    font-weight: 500;
}

#menu #menuBlack .menuItemDescription {
    color: gold;
}

.specialMsg {
    text-align: center;
    font-size: 1.5rem;
}

.reveal, .reveal2, .reveal770, .revealGrid {
    display:none;
}

.italicSpan {
    font-style: italic;
}

footer {
    text-align: center;
    padding: 1.5rem;
    padding-bottom: .5rem;
    font-size: 1rem;
    background-color: rgb(148, 0, 0);
    width: 94vw;
    max-width: 1080px;   ; ;
    box-shadow: -30px 0 20px rgba(0, 0, 0, 0.83), 30px 0 20px rgba(0, 0, 0, 0.83);
    overflow: hidden;
    color: white;
    margin:0 auto;
    margin-bottom:.5rem;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
}

#vamoos {
    font-family: 'Lexend', sans-serif;
    font-size: .4rem;
    color:white;
    font-style: normal;
margin:0 auto;
    text-align: center;
    background-color: black;
}

#vamoos a {
    font-family: 'Lexend', sans-serif;
    font-size: .4rem;
    text-decoration: none;
    color: gold;
    font-style: normal;
}

.progress {
    height: 3px;
    width: 0%;
    background-color: #ffffff;
    position: fixed;
    top: 0;
    left: 0;
    animation: progressBar linear;
    animation-timeline: scroll();
}

@keyframes progressBar {
    to {
        width: 100%;
    }
}

/* ----- END OF DESKTOP VIEW - 1080PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 960px) {
    .logoName {
        font-size: 1.5rem;
    }

    nav ul {
        gap: .5rem;
    }

    nav ul li a {
        font-family: "Lexend", san-serif;;
        font-size: .9rem;;
        letter-spacing: normal;
    }

    #merchPageWrapper main {
        background-image: url("images/confetti_transparent.PNG");
        background-size: 60%;
    }

.locationShell{
background-color: black;
  background-image: url("images/confetti_transparent.PNG");
  background-position: top left;
  background-size: 50%;
}

#locationTop {
  background-color: goldenrod;
}

.specialTag {
    color:black;
    font-size: 1.1rem;
    text-shadow: none;
}

#menu .menuNotes {
    font-family: "Lexend", sans-serif;
    color: black;
    font-weight: bold;
    font-size: 1.2rem;

}

#menu .menuCategory {
    gap:1.5rem;
}

#menu .menuCategory ul li {
    font-size: .9rem;
    line-height: 1.1rem;
    /* letter-spacing: .01rem; */
}

#menu .menuCategory li .menuItemDescription {
    font-size: .8rem;;
    font-weight: 400;
}

#menu .menuCategory ul .lineHeader {
    padding-bottom: .3rem;;
    font-size: 1.3rem;
}


#location2, #locationImage, #hours-container {
    margin:0 .8rem;
}

#location2 h2, #hours-container h2, #contact h2, #intro h2, .community h2 {
    font-size: 1.3rem;
    color: rgb(183, 0, 0);
    text-shadow: 1px 1px rgba(0, 0, 0, 0.92);
    margin-top: .8rem;;
}

#location2 p {
    font-family: 'Lexend', sans-serif;
    padding:0;
    font-size: .9rem;
    line-height: 1rem;;
}

#location2 .map-links a {
    text-decoration: none;
    color: blue;
    font-weight: 500;
    font-family: 'Lexend', sans-serif;
    font-size: .7rem;
    line-height: .9rem;
}

#hours-container ul {
    font-family: 'Lexend', sans-serif;
    list-style: none;
    padding: 0;
    font-size: .9rem;
    line-height: 1rem;;
}

#business-status {
    font-weight: bold;
margin: .5rem auto; 
    font-size: .9rem;
    text-align: center;
}

.gallery3 {
  display:flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 280px;
  margin: 0 auto;
  gap: 1rem;
}

.gallery3 #portrait {
    width: 70%;
    max-height: 280px;
}


.gallery3 #famPortrait {
    width: 70%;
    max-height: 280px;
} 

}

/* ----- END OF DESKTOP VIEW - 960PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 860px) {
.reveal {
    display:flex;
}

.revealGrid {
    display:grid;
}

#omitGrid {
    display: none;
}

.menuGallery img {
  width:100%;
  height:200px;
  border-radius: 25px;
    transition: transform 0.3s ease;
      border-radius: 30px 10px 30px 10px;;
} */

  .navbar{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  nav {
  display: flex;
  justify-content: center;
  margin-left: 0 auto;
}

nav ul {
  flex-wrap: nowrap;
}

#menu #menuBlack {
    width:100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

#menu #menuBlack .menuGallery{
    width:50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-end;
    padding: 0;
    /* padding-right:1rem; */
    margin:0 auto;
    gap: 1rem;
}

#menu #menuBlack .menuGallery img{
    /* background-color: black; */
    aspect-ratio:3/2;
    max-width: 70%;
    height: auto;
    margin: 0 auto;
    padding: 0;
}

#menu #menuBlack ul {
    width: 100%;
    margin: 0 auto;
align-self: flex-start;
}

#menu #menuBlack ul li {
    font-size: .9rem;
    line-height: 1.1rem;
    font-weight: normal;
    /* letter-spacing: .01rem; */
}

#menu #menuBlack ul li .menuItemDescription {
    font-size: .8rem;;
    font-weight: normal;
}

#menu #menuBlack #omit860 {
        display: none;
}

.gallery3 {
  display:flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 240px;
  margin: 0 auto;
  gap: 1rem;
}

.gallery3 #portrait {
    width: 60%;
    max-height: 240px;
}

.gallery3 #famPortrait {
    width: 60%;
    max-height: 240px;
} 
    
}
/* ----- END OF DESKTOP VIEW - 860PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 770px) {

.omit770 {
    display:none;
}

.reveal770 {
    display: flex;
}

/* .logoName {
    font-size: 1.5rem;
  }

  nav ul {
    gap: .4rem;
  }

nav ul li a {
    font-size: .8rem;;
    letter-spacing: normal;
  } */


  /* .gallery {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
  }

  .gallery img {
    width:33%;
  } */

.menuGallery img {
  /* width: 100%; */
height: auto;
max-height: 150px;
}

#menu .menuNotes {
    font-family: "Lexend", sans-serif;
    color: black;
    font-weight: bold;
    font-size: 1rem;

}

#menu .menuCategory {
    gap:1.2rem;
}

#menu .menuCategory ul li {
    font-size: .8rem;
    line-height: 1rem;
}

#menu .menuCategory li .menuItemDescription {
    font-size: .7rem;;
}

#menu .menuCategory ul .lineHeader {
    font-size: 1.2rem;
}

  #menu #menuBlack {
    background-color: rgb(20, 20, 20);
    width: 100%;
    margin:0 auto;
    padding: 1rem;
    display: flex;
    flex-direction: column;

}

#menu #menuBlack ul {
    margin: 0 auto;
    width: 100%;
    padding:0;
    padding-right: 1rem;
align-self: center;
justify-self: center;
}

#menu #menuBlack .menuGallery {
    width:100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: .5rem;
    column-gap: .2rem;
    margin:0 auto;
}

#menu #menuBlack .menuGallery img {
    aspect-ratio: 3/2;
max-height:240px;
    margin:0 auto;
    box-shadow: 0 0 4px rgb(0, 0, 0); 
}

#menuNotes2 {
    font-weight: normal;
    font-size: 1rem;
}


#floatingLogo{
    height: 20vh;
    margin-bottom: -10vh;
    z-index: 998;
}

#floatingLogo2 {
    padding: 0;
    color:transparent;
    display: none;
    height: 10vh;
    z-index: 998;
}

#locationTop h2, #menuTop h2 {
    font-size: 1.5rem;
    color: white;
    /* margin-top: -10vh; */
    /* line-height: 1.3rem; */
}

.specialTag {
    color:black;
    font-size: 1rem;
    text-shadow: none;
    line-height: .6rem;
}

#location2, #locationImage, #hours-container {
    height:50vh;
    width: 90%;
    margin-bottom: 1rem;;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.44);
}

#location2 h2, #hours-container h2, #contact h2, #intro h2, .community h2 {
    font-size: 1.2rem;
    color: rgb(183, 0, 0);
    text-shadow: 1px 1px rgba(0, 0, 0, 0.92);
    margin-top: .8rem;;
}

#location2 p {
    font-family: 'Lexend', sans-serif;
    padding:0;
    font-size: .8rem;
    line-height: 1rem;;
}

#location2 .map-links a {
    text-decoration: none;
    color: blue;
    font-weight: 500;
    font-family: 'Lexend', sans-serif;
    font-size: .7rem;
    line-height: .9rem;
}

#hours-container ul {
    font-family: 'Lexend', sans-serif;
    list-style: none;
    padding: 0;
    font-size: .8rem;
    line-height: 1rem;;
}

#business-status {
    font-weight: bold;
margin: .5rem auto; 
    font-size: .8rem;
    text-align: center;
}

#intro p, #policies p, #legacy p, #history p, .community p {
    font-family: 'Lexend', sans-serif;
    font-size: .9rem;  
}

#merchPageWrapper main {
  display:flex;
  flex-direction: column;
}

#merchPageWrapper main p {
    /* margin-top:1rem; */
    font-size: .8rem;;
}

.gallery3 {
  display:flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 240px;
  margin: 0 auto;
  gap: 1rem;
}

.gallery3 #portrait {
  width: 60%;
max-height: 240px;
}


.gallery3 #famPortrait {
  width: 60%;
max-height: 240px;
} 

}

/* ----- END OF DESKTOP VIEW - 770PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 720px) {

  .navbar{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  nav {
  display: flex;
  justify-content: center;
  margin-left: 0 auto;
}

nav ul {
  flex-wrap: nowrap;
}
nav ul li a {
    font-size: .95rem;;
}

.gallery3 {
  display:flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 200px;
  margin: 0 auto;
  gap: 1rem;
}

.gallery3 #portrait {
  width: 40%;
max-height: 200px;
}


.gallery3 #famPortrait {
  width: 40%;
max-height: 200px;
} 
/* .specialTag {
    color:black;
    font-size: .8rem;
    text-shadow: none;
} */
  /* nav ul {
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-around;
  gap:.2rem;
      line-height: .8rem;
} */
}

/* ----- END OF DESKTOP VIEW - 720PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 660px) {

/* .heroShell{
    margin:70px 0 0 0;
} */
.locationShell{
  background-color: black;
  background-image: url("images/confetti_transparent.PNG");
  background-position: center;
  background-size: contain;
}

.heroShell {
  height: 45vh;;
  margin:30px 0 0 0;
}

.heroShell2 {
  height: 55vh;;
  margin:30px 0 0 0;
}

  #hero {
      background-image: url("images/tmLogoStickerSM400Black.png"), url("images/tmPuffyTacos1a-SMx.jpg");
      
    background-position: center center, center center;
    background-size: 50%, 100%;
  }

    #hero2 {
      background-image: url("images/tmLogoStickerSM400Black.png"), url("images/checkoutServiceB-SMy.jpg");
      
    background-position: center center, center center;
    background-size: 50%, 100%;
  }

    #hero3 {
      background-image: url("images/tmLogoStickerSM400Black.png"), url("images/tmKoozies1a-SMy.png");
      
    background-position: center center, center center;
    background-size: 50%, 100%;
  }


  #locationTop {
        display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: goldenrod;
  }

  #floatingLogo{
    height: 20vh;
    margin-bottom: -9vh;
    z-index: 998;
}
  .details {
    margin-top: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;

    width: 90%;
}
  #menu .menuCategory {
    margin:0 auto;
    margin-top: 1rem;
    padding:.4rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    /* height:60vh; */

    width: 100%;
    max-width: 1080px;  ; ;
    /* border: 2px solid blue; */
}

  #menu .menuCategory ul {
    width:100%;
    margin:0 auto;
    padding:0 1rem;
}

  #menu .menuCategory ul li {
    font-size: 1.1rem;
    width:100%;
    margin:0 auto;
}

#menu .menuCategory li .menuItemDescription {
    font-size: .8rem;

}

#menu .menuCategory ul .lineHeader {
    font-size: 1.8rem;
    color:rgb(150, 0, 0);
    /* font-weight: 400; */
    /* text-shadow: none; */
    font-weight:bold;
}
.gallery2, .menuGallery, #menu #menuBlack .menuGallery {
    width:100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: .5rem;
    column-gap: .2rem;
    margin:0 auto;
}

.gallery2 {
    margin: .5rem auto;
}

.gallery2 img {
  /* width: 100%; */
    height: 170px;
    margin:0 auto;
}

.menuGallery img, #menu #menuBlack .menuGallery img {
  /* width: 100%; */
height: auto;
max-height: 170px;
    margin:0 auto;
}

.omit4 {
    display: none;
  }

.reveal2 {
    display:flex;
  }

#contactWrapper {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  height: 100%;
}

#contactWrapper img {
  width: 20%;
  /* height: 300px; */
  margin:0 1rem;
  justify-self: center;
align-self: center;
padding-top: .5rem 0 0 0;;
}

#contact {
  margin:0 aut0;
  width: 100%;
}

#contact {
  margin:0 aut0;
  width: 100%;
}

.contactForm, .contactForm input, textarea {
  width: 100%;
  margin: 0 auto;
}

#capirotada {
    padding: 0;
    width:100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 0;
}

.gallery3 {
  display:flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
height: auto;
  margin: 0 auto;
  gap: 1rem;
}

.gallery3 #portrait {
  width: 80%;
max-height: 275px;
height: auto;
}


.gallery3 #famPortrait {

  width: 80%;
max-height: 280px;
height: auto;
} 

.policyDetails {
    width:100% ;
    display:flex;
    flex-direction: column;
    /* justify-content: space-between;
    align-items: center; */
    gap: 1rem;
}

.policyText {
    width:100%;
}

/* .policyDetails img {
    width:225px ;
    height: 300px;
} */

}

/* ----- END OF DESKTOP VIEW - 660PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 580px) {
.heroShell {
    margin:30px 0 0 0;
    height: 40vh;
}


.heroShell2 {
    margin:30px 0 0 0;
    height: 50vh;
}
#menuCard {
  margin:46px 0 0 0;

}

  nav ul {
    gap: .5rem;
  }
nav ul li a {
    font-size: .8rem;;
}

.menuGallery, #menu #menuBlack .menuGallery {
    width:100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: .5rem;
    column-gap: .2rem;
    margin:0 auto;
}

.menuGallery img, #menu #menuBlack .menuGallery img {
  /* width: 100%; */
height: auto;
max-height: 120px;
    margin:0 auto;
}
}

/* ----- END OF DESKTOP VIEW - 580PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 500px) {
.heroShell {
    margin:160px 0 0 0;
    height: 34vh;
}
.heroShell2 {
    margin:170px 0 0 0;
    height: 44vh;
    /* background-position: top; */
}

  #locationTop {
        /* display: flex;
    justify-content: center;
    align-items: center; */
    padding:1rem .5rem;
  }
#menuCard {
  margin:175px 0 0 0;

}

#floatingLogo {
  height:15vh;
  margin-bottom:-8vh;
}
/* #location h2, #menuTop h2 {
    font-size: 1rem;
    color: white;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.92);
} */
.specialTag {
    color:black;
    font-size: .7rem;
    text-shadow: none;
    letter-spacing: -1px;
}
  nav ul {
    display: flex;
  flex-direction: column;
  gap:unset;
  justify-content: center;
  align-items: center;
  flex-wrap: nowrap;
}
  nav ul li a {
    font-size: 1rem;;

}

  #menu .menuCategory ul li,   #menu #menuBlack ul li {
    font-size: .9rem;
}

#menu .menuCategory ul li .menuItemDescription, #menu #menuBlack ul li .menuItemDescription {
    font-size: .8rem;

}

#menu .menuCategory ul .lineHeader, #menu #menuBlack ul .lineHeader {
    font-size: 1.4rem;
    color:rgb(150, 0, 0);
    font-weight:normal;
    padding:0;
}

#capirotadaText p {
    font-size: .9rem;;
}

#capirotada h2 {
    font-size: 1.4rem;
    color: rgb(148, 0, 0);

}
}

/* ----- END OF DESKTOP VIEW - 500PX ---- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */
/* --------------------------------------- */

@media (max-width: 480px) {
.heroShell {
    margin:120px 0 0 0;
    height: 32vh;
}
.gallery2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(140px, 1fr));
  gap: .3rem;
  margin:.3rem auto;

}
.gallery2 img{
  width: 100%;
  height: 100px;
}

.gallery3 {
  display:flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
height: auto;
  margin: 0 auto;
  gap: 1rem;
}

.gallery3 #portrait {
  width: 80%;
max-height: 275px;
height: auto;
}


.gallery3 #famPortrait {

  width: 100%;
max-height: 250px;
height: auto;
} 

}

/* ----- END OF DESKTOP VIEW - 480PX ---- */
/* --------------------------------------- */

@media (max-width: 400px){
.heroShell {
    margin:130px 0 0 0;
    height: 28vh;
}

  .omit3 {
    display: none;
  }

#floatingLogo {
  margin-bottom: 0;
}

.details {
    margin-top: 1rem;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    /* height:60vh; */
    gap:2rem;
    width: 96%;
}

#location2, #locationImage, #hours-container {
    /* padding: 1.5rem; */
    height:fit-content;
    width: 96%;
    border-radius: 20px;
}

#hours-container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#menuTop {
  margin:170px auto 0 auto;
}

#menuTop h2 {
    font-size: .9rem;
    color: white;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.92);
    margin-top: 1rem;
    line-height: normal;
}

.gallery2 {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(130px, 1fr));
  gap: .3rem;
  margin:.3rem auto;

}
.gallery2 img{
  width: 100%;
  height: 100px;
}
}

/* ----- END OF DESKTOP VIEW - 400PX ---- */
/* --------------------------------------- */

@media (max-width: 350px){
.menuGallery, #menu #menuBlack .menuGallery {
    width:100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
    gap: .5rem;
    column-gap: .2rem;
    margin:0 auto;
}

.menuGallery img, #menu #menuBlack .menuGallery img {
  /* width: 100%; */
height: auto;
max-height: 90px;
    margin:0 auto;
}

#capirotada {
    margin:0 auto;
}
#capirotadaText p {
    font-size: .8rem;;
}

#capirotada h2 {
    font-size: 1.2rem;
    color: rgb(148, 0, 0);

}
}